Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboPopup.ListSelectionHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicComboPopup.ListSelectionHandler

All Implemented Interfaces:
  EventListener, ListSelectionListener

Enclosing class:
  BasicComboPopup

protected class BasicComboPopup.ListSelectionHandler
extends Object
implements ListSelectionListener

This listener watches for changes in the list's selection and reports them to the combo box.

Constructor Summary
`protected` | `BasicComboPopup.ListSelectionHandler()`

Method Summary
`void` | `valueChanged(ListSelectionEvent e)` Called whenever the value of the selection changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicComboPopup.ListSelectionHandler

    protected BasicComboPopup.ListSelectionHandler()

Method Detail

### valueChanged

    public void valueChanged(ListSelectionEvent e)

  Description copied from interface: `ListSelectionListener`
  Called whenever the value of the selection changes.
  Specified by:
    `valueChanged` in interface `ListSelectionListener`
  Following copied from interface: `javax.swing.event.ListSelectionListener`
  Parameters:
    `e` - the event that characterizes the change.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.